#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "cmath"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    translator = new QTranslator;
    //translator->load("ru_ru");
    //qApp->installTranslator(translator);

    ui->setupUi(this);
    lang = "english";
    curLan = new QLabel(tr("Current language is ") + lang);
    ui->statusBar->addWidget(curLan);
    connect(ui->pushButton, SIGNAL(clicked()), this, SLOT(click()));
    connect(ui->pushButton_2, SIGNAL(clicked()), this, SLOT(close()));
    connect(ui->pushButton_3, SIGNAL(clicked()), this, SLOT(changeLanguage()));
    connect(ui->actionExit, SIGNAL(triggered()), this, SLOT(close()));
    connect(ui->actionCalculate, SIGNAL(triggered()), this, SLOT(click()));
    connect(ui->actionChange_language, SIGNAL(triggered()), this, SLOT(changeLanguage()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::click()
{
    double x,y;
    bool ok;

    x=ui->lineEdit->text().toDouble(&ok);

    if (ok)
    {
        if ((x<1) || (x>100))
            ui->label_2->setText("Out of range");
        else
        {
            y = abs(x-3.141592)*exp(3.0/x)/(log(1.7*pow(x,1/3)+pow(x,3/2)));
            ui->label_2->setText(QString::number(y));
        }

    }
    else
        ui->label_2->setText("Error");
}

void MainWindow::changeLanguage()
{
    if(lang == QString("english"))
    {
        translator->load("ru_ru");
        qApp->installTranslator(translator);
		lang = tr("russian");
        curLan->setText(tr("Current language is ") + lang);
        retranslateUi();
        return;
    }
    if(lang == QString(tr("russian")))
    {
        lang = tr("english");
        qApp->removeTranslator(translator);
        curLan->setText(tr("Current language is ") + lang);
        retranslateUi();
        return;
    }
}

void MainWindow::retranslateUi()
{
    ui->pushButton->setText(tr("Calculate"));
    ui->pushButton_2->setText(tr("Exit"));
    ui->pushButton_3->setText(tr("Change Lang"));
    ui->actionCalculate->setText(tr("Calculate"));
    ui->actionChange_language->setText(tr("Change language"));
    ui->actionExit->setText(tr("Exit"));
    ui->label->setText(tr("Type X here"));
    ui->label_3->setText(tr("Result"));
    ui->menuEdit->setTitle(tr("Edit"));
    ui->menuFile->setTitle(tr("File"));
    setWindowTitle(tr("MainWindow"));
}
